## artemis 18.2.0%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@ --with javahelper

override_dh_auto_build:
	dh_auto_build
	# Now, 4 jars are meant to be created: they are similar to each other but
	# do not exactly have the same contents. We design this with the pom.xml file,
	# but we don't use it since it creates shaded jars.
	cd target/ && mkdir jarsBuild && mkdir modifiedJars && cd jarsBuild && \
	        jar xf ../artemis-*.jar && \
	        $(RM) -rf META_INF/ && \
	        jar cf artemis.jar * && \
	        mv artemis.jar ../modifiedJars/ && \
	        cp ../modifiedJars/artemis.jar ../modifiedJars/act.jar && \
	        $(RM) -rf artemis_sqlmap/ && \
	        jar cf dnaplotter.jar * && \
	        mv dnaplotter.jar ../modifiedJars/ && \
	        cp ../modifiedJars/dnaplotter.jar ../modifiedJars/bamview.jar

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# EMBOSS_ROOT has to be passed to Maven as an environment variable.
	EMBOSS_ROOT="/usr" dh_auto_test
endif

override_dh_auto_clean:
	dh_auto_clean
	$(RM) images/helix.png
	$(RM) -rf target/jarsBuild
	$(RM) -rf target/modifiedJars

override_dh_install:
	dh_install
	# Using imagemagick to convert the icon from gif to png.
	mkdir -p debian/$(DEB_SOURCE)/usr/share/icons/hicolor/96x96/apps/
	convert src/main/resources/images/helix.gif -resize 96x96\! debian/$(DEB_SOURCE)/usr/share/icons/hicolor/96x96/apps/helix.png
