## artemis 18.2.0+dfsg

=== debian/changelog ===
artemis (18.2.0+dfsg-5) unstable; urgency=medium

  * Raising Standards version to 4.7.2 (no change)
  * Removing nocheck indication from B-D mockito (Closes: #1116714))

 -- Pierre Gruet <pgt@debian.org>  Thu, 02 Oct 2025 15:15:55 +0200

artemis (18.2.0+dfsg-4) unstable; urgency=medium

  * Restricting autopkgtest architecture to amd64 and arm64, where sra-sdk
    packages are installable
  * Raising Standards version to 4.7.0 (no change)
  * Adding url and developer information in MetaInfo files

 -- Pierre Gruet <pgt@debian.org>  Fri, 10 May 2024 07:27:15 +0200

artemis (18.2.0+dfsg-3) unstable; urgency=medium

  * Raising Standards version to 4.6.1 (no change)
  * Updating d/watch after changes in the Github layout
  * Complying with htsjdk 3.0.2:
    - Adding a method definition to extend an abstract class
    - Adding a versioned dependency on libhtsjdk-java

 -- Pierre Gruet <pgt@debian.org>  Fri, 04 Nov 2022 11:10:17 +0100

artemis (18.2.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable to accompany auto-biojava-live transition
    (Closes: #1009294)
  * Adding liblog4j1.2-java as a dependency of the binary package
  * Add salsa-ci file (routine-update)

 -- Pierre Gruet <pgt@debian.org>  Mon, 11 Apr 2022 16:39:21 +0200

artemis (18.2.0+dfsg-1) experimental; urgency=medium

  * New upstream version 18.2.0+dfsg
  * Using biojava-core.jar and Maven artifacts shipped by libbiojava-java
  * Adding versioned dependency on libbiojava-java with version 1:1.9.5+dfsg
  * Handling dependencies using maven:Depends substvar
  * Refreshing patches
  * Refreshing d/copyright
  * Fixing an incorrect specification of surefire argLine in pom.xml

 -- Pierre Gruet <pgt@debian.org>  Sun, 10 Apr 2022 22:47:24 +0200
