=== debian/tests/control ===
Test-Command: xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" /usr/bin/bamview -h
Depends: @, xvfb, xauth
Architecture: amd64 arm64
Restrictions: allow-stderr, superficial

Tests: run-some-unit-tests
Depends: @, default-jdk, junit4, libmockito-java
Architecture: amd64 arm64
Restrictions: allow-stderr
