=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//,filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/artemis-$1.tar.gz/,repack,compression=xz" \
         https://github.com/sanger-pathogens/Artemis/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
